Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.collections.ints
Class IntCollections.SimpleInterval

    java.lang.Object
      edu.emory.mathcs.util.collections.ints.AbstractIntCollection
          edu.emory.mathcs.util.collections.ints.AbstractIntSet
              edu.emory.mathcs.util.collections.ints.AbstractIntSortedSet
                  edu.emory.mathcs.util.collections.ints.AbstractIntInterval
                      edu.emory.mathcs.util.collections.ints.IntCollections.SimpleInterval

All Implemented Interfaces:
  IntCollection, IntInterval, IntSet, IntSortedSet

Enclosing class:
  IntCollections

public static class IntCollections.SimpleInterval
extends AbstractIntInterval

Nested Class Summary

Nested classes inherited from class edu.emory.mathcs.util.collections.ints.AbstractIntInterval
`AbstractIntInterval.ComplementView, AbstractIntInterval.ConstrainedView, AbstractIntInterval.SimpleIntervalItemIterator, AbstractIntInterval.SimpleReverseIntervalItemIterator`

Nested classes inherited from class edu.emory.mathcs.util.collections.ints.AbstractIntSortedSet
`AbstractIntSortedSet.AbstractComplementSubView, AbstractIntSortedSet.AbstractSubView, AbstractIntSortedSet.ForwardIntervalItemIterator, AbstractIntSortedSet.ReverseIntervalItemIterator`

Constructor Summary
`IntCollections.SimpleInterval(int first, int last)`

Method Summary
`int` | `first()` Returns the smallest number in this set.
`int` | `getFirst()`
`int` | `getLast()`
`int` | `last()` Returns the largest number in this set.
`int` | `max()` The largest number that can be stored in this set.
`int` | `min()` The smallest number that can be stored in this set.

Methods inherited from class edu.emory.mathcs.util.collections.ints.AbstractIntInterval
`addInterval, ceiling, ceilingInterval, clear, complementSet, contains, containsInterval, descendingIntervalIterator, descendingIterator, enclosingInterval, firstInterval, floor, floorInterval, higher, higherInterval, intervalCount, intervalIterator, isEmpty, iterator, lastInterval, lower, lowerInterval, pollFirst, pollFirstInterval, pollLast, pollLastInterval, removeInterval, retainInterval, size64, subSet, toString`

Methods inherited from class edu.emory.mathcs.util.collections.ints.AbstractIntSortedSet
`headSet, retainAll, tailSet, toCompactString`

Methods inherited from class edu.emory.mathcs.util.collections.ints.AbstractIntSet
`addAll, equals, hashCode, removeAll`

Methods inherited from class edu.emory.mathcs.util.collections.ints.AbstractIntCollection
`add, containsAll, remove, size, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.emory.mathcs.util.collections.ints.IntSortedSet
`headSet, tailSet, toCompactString`

Methods inherited from interface edu.emory.mathcs.util.collections.ints.IntSet
`add, addAll, containsAll, equals, hashCode, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### IntCollections.SimpleInterval

    public IntCollections.SimpleInterval(int first,
                                         int last)

Method Detail

### getFirst

    public int getFirst()

  Specified by:
    `getFirst` in class `AbstractIntInterval`

### getLast

    public int getLast()

  Specified by:
    `getLast` in class `AbstractIntInterval`

### first

    public int first()

  Description copied from interface: `IntSortedSet`
  Returns the smallest number in this set.

  Specified by:
    `first` in interface `IntSortedSet`
  Overrides:
    `first` in class `AbstractIntInterval`

### last

    public int last()

  Description copied from interface: `IntSortedSet`
  Returns the largest number in this set.

  Specified by:
    `last` in interface `IntSortedSet`
  Overrides:
    `last` in class `AbstractIntInterval`

### min

    public int min()

  Description copied from interface: `IntSet`
  The smallest number that can be stored in this set.

  Specified by:
    `min` in interface `IntSet`
  Overrides:
    `min` in class `AbstractIntInterval`

### max

    public int max()

  Description copied from interface: `IntSet`
  The largest number that can be stored in this set.

  Specified by:
    `max` in interface `IntSet`
  Overrides:
    `max` in class `AbstractIntInterval`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD